#ifndef cParticleManager_h
#define cParticleManager_h

#include "cParticle.h"
#include <list>
using namespace std;

class cParticleManager
{
private:
    // singleton constructor 
    cParticleManager(); 
    // singleton instance
    static cParticleManager* instance_;

	list<cParticle*> particles_;

public:
    static cParticleManager* instance();    
	
	~cParticleManager();
	
	void addParticle(float x, float y, float vx, float vy, float r, float g, float b);
	
	list<cParticle*>::iterator removeParticle(list<cParticle*>::iterator& i);

	void update(float dt);

	void draw();


};

#endif